Subject: Re: seperate xfree project on sourceforge
From: Rasjid Wilcox <[email-masked]>
To: [email-masked], Christopher Faylor <[email-masked]>
Cc: [email-masked]
Date: Wed, 21 Nov 2001 20:26:45 +1100

On Wed, 21 Nov 2001 05:26, Christopher Faylor wrote:
> On Tue, Nov 20, 2001 at 07:25:17PM +1100, Rasjid Wilcox wrote:
> >On Tue, 20 Nov 2001 06:03, Christopher Faylor wrote:
> >> >Rasjid Wilcox had a very similar idea to winfree86 named winxterm (see
> >> >http://lasp.sourceforge.net/winxterm/ ).  He has already produced a
> >> > minimal cygwin + xfree of about 4mb.  If we can integrate the two
> >> > projects winfree86 (or whatever its called) will be available much
> >> > sooner.
> >>
> >> This sounds like YA ill-conceived fork.  And, oh joy, oh rapture, it is
> >> also YA GPL violation.
> >>
> >> I've Cc'ed Rasjid.  Rasjid -- you need to provide the sources for the
> >> binary packages that you are providing, in compliance with the GPL. 
> >> Just providing a link to cygwin.com is not sufficient.
> >
> >By all means enlighten me about the GPL.  On the 24 and 25 August 01, I
> >posted to the list asking about GPL issues etc, and got no reply.
> >(Well, in one email I asked about 'formalities', but what I meant was
> >"Is what I've done okay?  Who should I talk to?  Please help me I've
> >never put any open source stuff on the web before?".  In the other I
> >mentioned the GPL.  Both were titled "Screen numbers", which makes
> >sense when you read them.) I provided a link to my project so that
> >people could have a look and inform me of what I needed to do, whether
> >it was already being done or how it might be integrated with the main
> >project.
> >
> >At the time I had only been on the list for 4 days, and was very new to
> >the whole thing.  On the whole I still am, so I'm sorry if I've broken
> >some rules.  It certainly was with no ill intent.
>
> I doubt that anyone who is performing a community service like putting
> up a web page ever has any ill intent.  I have, however, communicated
> with a great number of people who are confused about the GPL and take
> it personally when they are contacted regarding it.
>
> I appreciate very much that you are interested in doing things the right
> way.  I'm not sure how I missed your original mail.
>
> Bottom line: if you have no binaries on your page, then there is no need
> to provide sources.  If you do have binaries on your page then the
> simplest way to be compliant with the GPL is to provide the
> corresponding sources.
>
> >The next step in my project was to remove the need for me to host any
> >binaries anyway, and just to have a script the grabs the minimal set of
> >required files from the cygwin-xfree mirrors.  My guess is that the new
> >setup.exe for Cygwin (perhaps with a very minimal amount of tweaking)
> >would be able to do that too, in which case I don't have to do
> >anything! (Except presumably take down the binaries.)
>
> Yes.  One of the primary goals of the new version of setup.exe was to
> allow XFree86 to be installed as a cygwin package.  You can design a
> setup.ini which downloads as little or as much as you want.

<snip>

This is exactly what I want to do.  I want a setup.ini that only downloads 
the minimal set up packages to get Cygwin-XFree86 connected to an XDMCP 
server.  This is under 10MB.  My only problem is that upon running setup.exe, 
if specifying Internet Install or Download, it overwrites the local setup.ini 
with the most recent hosted by cygwin.

As this is desirable, my suggestion would be to have a *optional* second file 
that does a default 'ticking of boxes' function, similar to RedHat's 
kickstart file.  If would define the defaults for which packages are 
'skipped' and which are not.  Different program vendors could include 
different 'Cygwin kickstart' files depending on which Cygwin programs they 
needed to complement their product.  The user could / would still be given 
the ultimate choice - it would just make life easier for people that only 
want a select set up packages.

If this is already effectively a feature of the new setup.exe, please tell me 
how to use it.  The "Categories" look like they are part of the setup.ini 
downloaded too, so I don't think they will do what I have in mind.

The 'hack' I had in mind was a script that started the setup.exe program, and 
waited until the setup.ini file was downloaded off the net, and then went 
through and 'trimmed' it down to only the packages required.  It would be a 
horrible hack.  If I had any C/C++ programming skills at all I would look at 
writing my suggested 'kickstart' function myself, but I don't.

Cheers,

Rasjid.

PS.  I have CC'd this to the cygwin list.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/